Package org.eclipse.graphiti.ui.internal.parts

# Class AnchorContainerDelegate

java.lang.Object
org.eclipse.graphiti.ui.internal.parts.PictogramElementDelegate
org.eclipse.graphiti.ui.internal.parts.AnchorContainerDelegate

All Implemented Interfaces:
  `org.eclipse.core.runtime.IAdaptable`, `IFeatureProviderHolder`, `IVisualStateHolder`, `IAnchorContainerDelegate`, `IPictogramElementDelegate`

public class AnchorContainerDelegate extends PictogramElementDelegate implements IAnchorContainerDelegate
A class, which contains helper-methods, which are necessary to implement the interface IAnchorContainerEditPart. It is not possible to make this an EditPart itself, because of different inheritance-hierarchies used in the sub-classes.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AnchorContainerDelegate(IConfigurationProviderInternal configurationProvider, PictogramElement pictogramElement, org.eclipse.gef.EditPart containerEditPart)`
Creates a new AnchorContainerDelegate.

## Method Summary

Modifier and Type
Method
Description
`List<PictogramElement>`
`getModelChildren()`
Gets the model children.

### Methods inherited from class org.eclipse.graphiti.ui.internal.parts.PictogramElementDelegate

`activate, addDecorators, createFigure, deactivate, getAdapter, getConfigurationProvider, getContainerEditPart, getFeatureProvider, getFigureForGraphicsAlgorithm, getMainFiguresFromChildEditparts, getPictogramElement, getPreferences, getVisualState, isForceRefresh, isValid, refreshDecorators, refreshEditPartsForModelChildrenAndSourceConnections, refreshFigureForEditPart, setContainerEditPart, setForceRefresh, setValid`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`

### Methods inherited from interface org.eclipse.graphiti.ui.internal.parts.IPictogramElementDelegate

`activate, createFigure, deactivate, getConfigurationProvider, getFigureForGraphicsAlgorithm, getMainFiguresFromChildEditparts, getPictogramElement, isValid, refreshDecorators, refreshEditPartsForModelChildrenAndSourceConnections, refreshFigureForEditPart, setForceRefresh`

### Methods inherited from interface org.eclipse.graphiti.platform.ga.IVisualStateHolder

`getVisualState`

## Constructor Details

### AnchorContainerDelegate

protected AnchorContainerDelegate(IConfigurationProviderInternal configurationProvider, PictogramElement pictogramElement, org.eclipse.gef.EditPart containerEditPart)
Creates a new AnchorContainerDelegate.

Parameters:
  `configurationProvider` - the configuration provider
  `pictogramElement` - the pictogram element
  `containerEditPart` - the container edit part

## Method Details

### getModelChildren

public List<PictogramElement> getModelChildren()
Description copied from interface: `IAnchorContainerDelegate`
Gets the model children.

Specified by:
  `getModelChildren` in interface `IAnchorContainerDelegate`
Returns:
  the model children